scsi_device_lookup
Prev | drivers/scsi/scsi.c | Next

## Name

scsi_device_lookup — find a device given the host

## Synopsis

`struct scsi_device * scsi_device_lookup (` | struct Scsi_Host * | shost,
| uint | channel,
| uint | id,
| uint | lun`)`;

## Arguments

`shost`

  SCSI host pointer

`channel`

  SCSI channel (zero if only one channel)

`id`

  SCSI target number (physical unit number)

`lun`

  SCSI Logical Unit Number

## Description

Looks up the scsi_device with the specified `channel`, `id`, `lun` for a given host. The returned scsi_device has an additional reference that needs to be released with scsi_device_put once you're done with it.

Prev | Up | Next
__scsi_device_lookup | Home | scsi_bios_ptable